LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextPortionAppend Interface Reference

allows inserting and appending formatted text portions. More...

`import"XTextPortionAppend.idl";`

Inheritance diagram for XTextPortionAppend:

## Public Member Functions
com::sun::star::text::XTextRange | appendTextPortion ([in] string Text, [in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException )
| appends a new text portion to the paragraph at the end of the text. More...
com::sun::star::text::XTextRange | insertTextPortion ([in] string Text, [in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties, [in] com::sun::star::text::XTextRange TextRange) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException )
| inserts a new text portion to the paragraph at a given position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows inserting and appending formatted text portions.

## Member Function Documentation

## ◆ appendTextPortion()

com::sun::star::text::XTextRange appendTextPortion | ( | [in] string | Text,
|  | [in] com::sun::star::beans::PropertyValues | CharacterAndParagraphProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::beans::PropertyVetoException
| ) |  |

appends a new text portion to the paragraph at the end of the text.

    <p> The sequence can contain all the properties defined by the service TextPortion.

Parameters

  Text | contains the text to be appended.
  CharacterAndParagraphProperties | can contain all the properties defined by the service Paragraph.

## ◆ insertTextPortion()

com::sun::star::text::XTextRange insertTextPortion | ( | [in] string | Text,
|  | [in] com::sun::star::beans::PropertyValues | CharacterAndParagraphProperties,
|  | [in] com::sun::star::text::XTextRange | TextRange
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::beans::PropertyVetoException
| ) |  |

inserts a new text portion to the paragraph at a given position.

    <p> The sequence can contain all the properties defined by the service TextPortion.

Parameters

  Text | contains the text to be inserted.
  CharacterAndParagraphProperties | can contain all the properties defined by the service Paragraph.
  TextRange | specifies the position of the insert.

Since
  LibreOffice 4.0

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextPortionAppend.idl